=== debian/changelog ===
vxl (1.17.0.dfsg2-4) unstable; urgency=medium

  * Team upload.
  * Switch build dep on libdcmtk2-dev with unversioned libdcmtk-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 16 Jan 2016 12:38:18 +0000

vxl (1.17.0.dfsg2-3) unstable; urgency=medium

  * lintian issues
  * Apply upstream patch to add general number of platforms
    Closes: #745535
  * Replace deprecated FFmpeg API (Thanks for the patch to Andreas Cadhalpun)
    Closes: #803871

 -- Andreas Tille <tille@debian.org>  Wed, 02 Dec 2015 17:38:08 +0100

vxl (1.17.0.dfsg2-2) unstable; urgency=medium

  * Rename library packages for g++5 ABI transition
    Closes: #799653

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2015 15:34:14 +0200

vxl (1.17.0.dfsg2-1) unstable; urgency=medium

  * Fix remaining DEP5 issues
  * removing lena icon
    Closes: #793154

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jul 2015 08:23:34 +0200

vxl (1.17.0.dfsg-2) unstable; urgency=medium

  * cme fix dpkg-control
  * Apply patch from fedora (Thanks to Brett Johnson <brett@hp.com> for
    forwarding)
    Closes: #778165
  * Unset Cmake variables on configuration change (thanks for the patch to
    Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>)
    Closes: #788559
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2015 17:11:41 +0200
