=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# http://bugs.debian.org/718047
# -> debian-release team blessing: http://bugs.debian.org/728574#18
ifneq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU ), ia64)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
endif

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
SOVERSION = $(shell echo $(VER_FULL) | cut -f1-2 -d.)
VER_MAJOR = $(shell echo $(VER_FULL) | cut -f1   -d.)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

UPSTREAM_SRC = vxl-$(VER_FULL)
DEBIAN_SRC_DIR = vxl-$(VER_FULL)
DEBIAN_SRC_TAR = vxl_$(VER_FULL).orig.tar.gz

PYTHON_INCLUDE_DIRS=$(shell python-config --includes | cut -f1 -d' '|cut -c3-)
PYTHON_INCLUDE_DIR="$(PYTHON_INCLUDE_DIRS)"
# See bug #709181
PYTHON_INCLUDE_DIRS2=$(shell python-config --includes | cut -f2 -d' '|cut -c3-)
PYTHON_INCLUDE_DIR2="$(PYTHON_INCLUDE_DIRS2)"
PYTHON_CONFIG_DIR=$(shell python-config --configdir)
PYTHON_LIBRARY="$(PYTHON_CONFIG_DIR)/libpython2.7.so"

# CMAKE_SKIP_RPATH=OFF is required when BUILD_TESTING=ON
# Do not set CMAKE_BUILD_TYPE / http://bugs.debian.org/711515
CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DCMAKE_BUILD_TYPE:STRING="" \
	-DCMAKE_SKIP_RPATH:BOOL=OFF \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DAVIFILE_INCLUDE_DIR:PATH=/usr/include/avifile-0.7 \
	-DVXL_USING_NATIVE_ZLIB:BOOL=ON \
	-DVXL_USING_NATIVE_JPEG:BOOL=ON \
	-DVXL_USING_NATIVE_BZLIB2:BOOL=ON \
	-DVXL_USING_NATIVE_MPEG2:BOOL=ON \
	-DVXL_USING_NATIVE_PNG:BOOL=ON \
	-DVXL_USING_NATIVE_TIFF:BOOL=ON \
	-DVXL_USING_NATIVE_SHAPELIB:BOOL=ON \
	-DVXL_USING_NATIVE_GEOTIFF:BOOL=ON \
	-DVXL_USING_NATIVE_EXPAT:BOOL=ON \
	-DBUILD_VGUI:BOOL=ON \
	-DBUILD_BGUI3D:BOOL=ON \
	-DVXL_BUILD_DCMTK:BOOL=ON \
	-DBUILD_OXL:BOOL=ON \
	-DBUILD_CORE_GEOMETRY:BOOL=ON \
	-DBUILD_CORE_IMAGING:BOOL=ON \
	-DBUILD_CORE_NUMERICS:BOOL=ON \
	-DBUILD_CORE_PROBABILITY:BOOL=ON \
	-DBUILD_CORE_SERIALISATION:BOOL=ON \
	-DBUILD_CORE_UTILITIES:BOOL=ON \
	-DBUILD_CORE_VIDEO:BOOL=ON \
	-DBUILD_EXAMPLES:BOOL=OFF \
	-DPYTHON_INCLUDE_DIR=$(PYTHON_INCLUDE_DIR) \
	-DPYTHON_INCLUDE_DIR2=$(PYTHON_INCLUDE_DIR2) \
	-DPYTHON_LIBRARY=$(PYTHON_LIBRARY) \
	-DBUILD_TESTING:BOOL=ON

pkg_lib = libvxl$(SOVERSION)v5
pkg_dev = libvxl$(VER_MAJOR)-dev
#pkg_examples = vxl$(VER_MAJOR)-examples

%:
	dh $@ --buildsystem=cmake --parallel --with python2

override_dh_auto_configure:
	# remove duplicate from boxm_block+boct_tree+short.vnl_vector_fixed+float
	rm -f $(CURDIR)/contrib/brl/bseg/boxm/pro/Templates/boxm_scene+boct_tree+short.vnl_vector_fixed+float.3---.cxx
	dh_auto_configure # See bug: 708131
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_lintian:
	echo "$(pkg_lib): package-name-doesnt-match-sonames" > debian/$(pkg_lib).lintian-overrides
	dh_lintian

override_dh_install:
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/vxl/cmake/*.cmake 

# too many tests failure, with erratic behavior
# http://bugs.debian.org/671601
override_dh_auto_test:
	dh_auto_test || true

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
